

.menux {
  -webkit-filter: url("#goo");
          filter: url("#goo");

}


.menux-item, .menux-open-button, .menux-open-button2 {
  background: white;
border-radius: 100%;
  width: 80px;
  height: 80px;
  margin-left: -40px;
  position: absolute;
  top: 20px;
  color: black;
  text-align: center;
  line-height: 80px;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  transition: -webkit-transform ease-out 200ms;
  transition: transform ease-out 200ms;
  transition: transform ease-out 200ms, -webkit-transform ease-out 200ms;
}

.menux-open-button {
    background: white;
    -webkit-box-shadow: 0px 0px 20px 5px rgba(0,0,0,0.5);
-moz-box-shadow: 0px 0px 20px 5px rgba(0,0,0,0.5);
box-shadow: 0px 0px 20px 5px rgba(0,0,0,0.5);


}



.menux-open {
  display: none;

}

.hamburger {
  width: 20px;
  height: 3px;
  background: gray;
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -12.5px;
  margin-top: -1.5px;
  transition: -webkit-transform 200ms;
  transition: transform 200ms;
  transition: transform 200ms, -webkit-transform 200ms;
}

.hamburger-1 {
  -webkit-transform: translate3d(0, -8px, 0);
          transform: translate3d(0, -8px, 0);
}

.hamburger-2 {
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
}

.hamburger-3 {
  -webkit-transform: translate3d(0, 8px, 0);
          transform: translate3d(0, 8px, 0);
}

.menux-open:checked + .menux-open-button .hamburger-1 {
  -webkit-transform: translate3d(0, 0, 0) rotate(45deg);
          transform: translate3d(0, 0, 0) rotate(45deg);
}
.menux-open:checked + .menux-open-button .hamburger-2 {
  -webkit-transform: translate3d(0, 0, 0) scale(0.1, 1);
          transform: translate3d(0, 0, 0) scale(0.1, 1);
}
.menux-open:checked + .menux-open-button .hamburger-3 {
  -webkit-transform: translate3d(0, 0, 0) rotate(-45deg);
          transform: translate3d(0, 0, 0) rotate(-45deg);
}

.menux {
  position: absolute;
  left: 50%;
  margin-left: -190px;
  padding-top: 20px;
  padding-left: 190px;
  width: 380px;
  height: 50px;
  box-sizing: border-box;
  font-size: 20px;

  text-align: left;
  left: 50%;
  bottomxx: 0px;
  z-index: 11;
top: 89%; /*   "               pantalla*/

}

@media only screen and (max-width: 768px) {
  .menux {
  top: -20%; /*   "               móviles*/}
}

.menux a {
  color: #d5d5d5;
}

.menux-item:hover {
  background: white;
  color: #e91e63;
}
.menux-item:nth-child(3) {
  transition-duration: 180ms;
}
.menux-item:nth-child(4) {
  transition-duration: 180ms;
}
.menux-item:nth-child(5) {
  transition-duration: 180ms;
}
.menux-item:nth-child(6) {
  transition-duration: 180ms;
}
.menux-item:nth-child(7) {
  transition-duration: 180ms;
}
.menux-item:nth-child(8) {
  transition-duration: 180ms;
}
.menux-item:nth-child(9) {
  transition-duration: 180ms;
}

.menux-open-button {
  z-index: 2;
  transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition-duration: 400ms;
  -webkit-transform: scale(1.1, 1.1) translate3d(0, 0, 0);
          transform: scale(1.1, 1.1) translate3d(0, 0, 0);
  cursor: pointer;
}

.menux-open-button:hover {
  -webkit-transform: scale(1.5, 1.5) translate3d(0, 0, 0);
          transform: scale(1.5, 1.5) translate3d(0, 0, 0);
}

.menux-open:checked + .menux-open-button {
  transition-timing-function: linear;
  transition-duration: 200ms;
  -webkit-transform: scale(0.8, 0.8) translate3d(0, 0, 0);
          transform: scale(0.8, 0.8) translate3d(0, 0, 0);
}

.menux-open:checked ~ .menux-item {
  transition-timing-function: cubic-bezier(0.935, 0, 0.34, 1.33);
}
.menux-open:checked ~ .menux-item:nth-child(3) {
  transition-duration: 180ms;
  -webkit-transform: translate3d(0.08361px, -104.99997px, 0);
          transform: translate3d(0.08361px, -104.99997px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(4) {
  transition-duration: 280ms;
  -webkit-transform: translate3d(90.9466px, -52.47586px, 0);
          transform: translate3d(90.9466px, -52.47586px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(5) {
  transition-duration: 380ms;
  -webkit-transform: translate3d(90.9466px, 52.47586px, 0);
          transform: translate3d(90.9466px, 52.47586px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(6) {
  transition-duration: 480ms;
  -webkit-transform: translate3d(0.08361px, 104.99997px, 0);
          transform: translate3d(0.08361px, 104.99997px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(7) {
  transition-duration: 580ms;
  -webkit-transform: translate3d(-90.86291px, 52.62064px, 0);
          transform: translate3d(-90.86291px, 52.62064px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(8) {
  transition-duration: 680ms;
  -webkit-transform: translate3d(-91.03006px, -52.33095px, 0);
          transform: translate3d(-91.03006px, -52.33095px, 0);
}
.menux-open:checked ~ .menux-item:nth-child(9) {
  transition-duration: 780ms;
  -webkit-transform: translate3d(-0.25084px, -104.9997px, 0);
          transform: translate3d(-0.25084px, -104.9997px, 0);
}


.cn-overlay {
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.6);
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  transition: all .3s ease;
  z-index: 2;
    backdrop-filter: blur(2px);  
  -webkit-backdrop-filter: blur(2px); /*no va en firefox Antonio. Blur de lo que hay debajo*/
}

.cn-overlay.on-overlay {
  visibility: visible;
  opacity: 1;

}
